package com.kcim.common.enums;

/**
 * @program: CostAccount
 * @description: 计算方式枚举
 * @author: Wang.YS
 * @create: 2023-10-18 14:40
 **/
public enum ComputeTypeEnum {
    /**
     * 项目类别
     */
    ITEM_TYPE(1,"项目类别"),
    /**
     * 计算公式
     */
    CALCULATION_FORMULA(2,"计算公式"),
    /**
     * 合计
     */
    SUM(3,"合计")
    ;

    private Integer code;
    private String name;

    ComputeTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
